### Method

# EDataBook BookSqlite set_contact_extra

since: 3.12

#### Declaration [src]

    gboolean
    e_book_sqlite_set_contact_extra (
      EBookSqlite* ebsql,
      const gchar* uid,
      const gchar* extra,
      GError** error
    )

#### Description [src]

Sets or replaces the extra data associated with `uid`.

Available since: 3.12

#### Parameters

`uid`

  Type: `const gchar*`

  The uid of the contact to set the extra data for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extra`

  Type: `const gchar*`

  The extra data to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise `FALSE` is returned and `error` is set appropriately.